<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>PHP Example</title>
<link href="style/main.css" rel="stylesheet" media="screen" >
</head>

<body>

<!--
This PHP document uses 3 include files to build a webpage. The header, navigation
and footer are common to all pages in this website and it's much more efficient
and convenient to build these components as server-side includes than to repeat the
markup on every page of the website.
-->

<div id="wrapper">
<?php
/* The preferred include path option ($_SERVER) is commented out so that the page
will work anywhere within your file structure for the purposes of this demo.
The relative path option is the one that does the work in this case. */

#include($_SERVER['DOCUMENT_ROOT'].'/includes/header.inc.php');
include('includes/header.inc.php');
#include($_SERVER['DOCUMENT_ROOT'].'/includes/navigation.inc.php');
include('includes/navigation.inc.php');
?>

     <div id="content">

     <!-- Content Begin -->

     <h1>PHP example using server-side includes</h1>
     <p>This page is constructed from 4 seperate PHP files, the parent <i>index.php</i> file and 3 includes, one for the header, one for the navigation and one for the footer.</p>
     <p>The include files are in a subfolder called &quot;includes&quot; and they are named <i>header.inc.php</i>, <i>navigation.inc.php</i> and <i>footer.inc.php</i>.</p>
     <p>In each case, the include statement looks like this:</p>
     <pre><span class="script">&lt;?php</span> include('includes/<i>filename</i>.inc.php'); <span class="script">?&gt;</span></pre>
     <p>The include statement above uses a relative path to the included file.</p>
     <p>If the include folder was in the document root, a portable, absolute URL could be used as follows:</p>
     <pre><span class="script">&lt;?php</span> include($_SERVER['DOCUMENT_ROOT'].'/includes/<i>filename</i>.inc.php'); <span class="script">?&gt;</span></pre>
     <h2>Dates</h2>
     <p>To keep everything up to date, the footer contains a small script that prints the current year:</p>
     <pre><span class="script">&lt;?php</span> echo date("Y"); <span class="script">?&gt;</span></pre>
     <p>The upper-case Y tells the date function to return only the 4-digit year number, which is printed by the echo function.</p>

     <!-- Content End -->

     </div>
<?php
#include($_SERVER['DOCUMENT_ROOT'].'/includes/footer.inc.php');
include('includes/footer.inc.php');
?>

</div> <!-- Close wrapper -->
</body>
</html>
